module Taggable
  extend ActiveSupport::Concern
  
  included do
    acts_as_taggable_on :internal_tags, :tags

    enum tagging_status: %i[ pending started finished failed ], _prefix: "tagging"
  end
end
